Create a workspace group
post
/v1/workspace-groupsCreates a workspace group and inserts the acting person as the owner membership in one transaction.
Requires a bearer token: Authorization: Bearer <token>.
Request
cURL
curl -X POST https://api.wellapp.ai/v1/workspace-groups \
-H "Authorization: Bearer $WELL_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"data": {
"type": "workspace-group",
"attributes": {
"name": "Foldspace HoldCo"
}
}
}'Request body
{
"data": {
"type": "workspace-group",
"attributes": {
"name": "Foldspace HoldCo"
}
}
}Responses
201 — Workspace group created.
{
"data": {
"type": "workspace-group",
"id": "wg_1",
"attributes": {
"name": "Foldspace HoldCo"
},
"relationships": {
"created_by": {
"data": {
"type": "ManyToOne",
"id": "00000000-0000-4000-8000-000000000001"
}
}
}
}
}400 — Validation error.
{
"code": "BAD_REQUEST",
"status": 400,
"title": "Bad Request",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}401 — Unauthorized.
{
"code": "UNAUTHORIZED",
"status": 401,
"title": "Unauthorized",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}